<?php

/////////////////////////////////////////////////////////////////////////////////////////////////////////

require_once("../../config.php");
require_once("base.php");
require_once("idn.php");
require_once("whois.php");

/////////////////////////////////////////////////////////////////////////////////////////////////////////

connect_to_mysql_and_select_db();

/////////////////////////////////////////////////////////////////////////////////////////////////////////

if(isset($_REQUEST['id']))
{
	$sid = "";
	if(isset($_REQUEST["id"]))
		$sid = validate_request_data($_REQUEST["id"]);
		
	$data_array = array();
	$domain_name = get_domain_name_from_sid($sid);
	$data_array['domain'] = $domain_name;
	if(get_domainparts_from_url($domain_name, $tld, $domain, $subdomain, $wserver) === true)
	{
		$registrar_whois_server = get_registrar_whois_server_from_domain_name($domain_name);
		$data_array['tld'] = $tld;
		$data_array['whois_server_01'] = $wserver;
		$data_array['whois_server_02'] = $registrar_whois_server;
		
		$whois_server = $wserver;
		if($registrar_whois_server != "")
			$whois_server = $registrar_whois_server;
		$data_array['whois_server'] = $whois_server;
			
		$xlate = array();
		get_translate_array_from_whoisserver($whois_server, $xlate);
		$data_array['xlate'] = $xlate;
		
		$data_array['dateformat'] = get_dateformat_from_whoisserver($whois_server);
		$data_array['query'] = get_raw_whois_query_from_whoisserver($whois_server);
	}
	
	echo json_encode($data_array);
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////

?>
